Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RemoveUnusedLogFiles Method
DatabaseEnvironment Class See Also Send Feedback

Remove log files that are no longer needed. Automatic log file removal is likely to make catastrophic recovery impossible.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void RemoveUnusedLogFiles()

Visual Basic (Declaration)
    Public Sub RemoveUnusedLogFiles

Visual C++
    public:
    void RemoveUnusedLogFiles()

# Remarks

When Replication Manager is in use, log archiving is performed in a replication group-aware manner such that the log file status of other sites in the group are examined to determine if a log file could be in use.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace